#
# spec file for package ham-fax
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           ham-fax
Version:        0.8.1git20200921
Release:        1.62
Summary:        Send and receive radio facsimiles
License:        GPL-2.0
Group:          Productivity/Hamradio/Fax
URL:            https://github.com/sergioisidoro/ham-fax
#GitClone:      https://github.com/sergioisidoro/ham-fax.git
Source:         %{name}-%{version}.tar.gz
Patch0:         ham-fax-hamlib42.patch
Patch1:         ham-fax-fix-missing-return-value.patch
Patch2:         ham-fax-find-lrelease-qt5.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-linguist
BuildRequires:  audiofile-devel
BuildRequires:  update-desktop-files
Conflicts:      hamfax

%description
Ham-fax is a HamFax port to Qt 5.x.
HamFax is an application for sending and receiving facsimilies in
amateur radio. You can either use a sound card as interface to the
transceiver or a SCS-PTC-II.
Receiving of weather facsimile broadcasts is also possible.

Authors:
--------
    Christof Schmitt, DH1CS <cschmitt@users.sourceforge.net>

%prep
%setup -q -n %{name}
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1

%build
autoreconf -f -i
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%suse_update_desktop_file -c hamfax HamFax "Send and receive radio facsimiles" hamfax "" "Application;HamRadio"

%files
%{_datadir}/applications/hamfax.desktop
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%{_bindir}/hamfax
%{_datadir}/hamfax
%{_datadir}/icons/hamfax.svg
%{_mandir}/man1/*

%changelog
* Fri Dec 31 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- HamFax ported to Qt 5.x
- initial specfile, based on hamfax.spec
- git snapshot 0.8.1git20200921
